Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
youtube
/
video_subtitles
/
task_post
Setting YouTube Subtitles Tasks
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/youtube/video_subtitles/task_post \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video_id": "<string>",
  "language_code": "<string>",
  "priority": 123,
  "postback_url": "<string>",
  "pingback_url": "<string>",
  "postback_data": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/serp/youtube/video_subtitles/task_post"

payload = {
    "video_id": "<string>",
    "language_code": "<string>",
    "priority": 123,
    "postback_url": "<string>",
    "pingback_url": "<string>",
    "postback_data": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    video_id: '<string>',
    language_code: '<string>',
    priority: 123,
    postback_url: '<string>',
    pingback_url: '<string>',
    postback_data: '<string>'
  })
};

fetch('https://api.aisa.one/apis/v1/dataforseo/serp/youtube/video_subtitles/task_post', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].id": "<string>",
  "tasks[].status_code": 123,
  "tasks[].status_message": "<string>",
  "tasks[].cost": 123,
  "tasks[].result_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
video_id
string
required

ID of the video

language_code
string

Subtitle language code

priority
integer

Task priority

postback_url
string

URL for sending task results

pingback_url
string

Notification URL of a completed task

postback_data
string

Postback datatype; possible value: advanced

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks_count
integer

The number of tasks in the tasks array

tasks_error
integer

The number of tasks in the tasks array returned with an error

tasks
string[]

Array of task objects

tasks[].id
string

Task identifier in UUID format

tasks[].status_code
integer

Task status code

tasks[].status_message
string

Task status message

tasks[].cost
number

Cost of the task, USD

tasks[].result_count
integer

Number of elements in the result array